﻿var ATTACH_CONTROL_OBJ;//附件管理控件对象
var NTKO_AttachInfo = new Array(); //保存服务器上的控件列表信息
var curRow = -1;
var SELFILECOUNT = 0;
var SECRETLEVEL = -1;
var RETENTIONPERIOD = -1;

function InitAttach(tag,rp,sl)
{
	ATTACH_CONTROL_OBJ=document.getElementById("NTKOATTACH_OCX");
	
	//设置详细信息视图中的行高
	ATTACH_CONTROL_OBJ.SetLineHight(50);
	//设置自定义列并显示
	ATTACH_CONTROL_OBJ.SetCustomColumnCaption(0, "上传日期");
	ATTACH_CONTROL_OBJ.SetColumnVisible(6, true);
	//隐藏【已下载】列
	ATTACH_CONTROL_OBJ.SetColumnVisible(3, false);
	//隐藏【修改时间】列
	ATTACH_CONTROL_OBJ.SetColumnVisible(4, false);
	//隐藏【URL或者路径】列
	ATTACH_CONTROL_OBJ.SetColumnVisible(5, false);
	
	//初始化标签列表
	if ($.trim(tag) != "")
	{
		var taglist = tag.split(",");
		for (var i=0; i<taglist.length;i++)
		{
			var divHtml = "<div class=\"TagItem\"><div class=\"TagItemText\">" + taglist[i] + "</div>";
			divHtml += "<div class=\"TagItemRemove\" id=\"2\"><img src=\"images/removeTag.png\" title=\"删除本标签\" onclick=\"RemoveAttTag($(this).parent().parent())\" /></div></div>";
			$("#Tags").append(divHtml);
			if ($(".TagItem").length == 10)
			{
				$("#divTagText").hide();
				$("#divAddTag").hide();
			}			
		}
	}
	
	//初始化保管期限和密级
	if (rp != -1){$("#RetentionPeriod" + rp).attr("class","AttachFileRetentionPeriodOn");}
	if (sl != -1){$("#SecretLevel" + sl).attr("class","AttachFileSecretLevelOn");}
	RETENTIONPERIOD = rp;
	SECRETLEVEL = sl;
	
	LoadDocAttachFileList();
}

//加载附件文件列表
function LoadDocAttachFileList()
{
	var af;
	for(var i=0;i<NTKO_AttachInfo.length;i++)
	{
		af = ATTACH_CONTROL_OBJ.AddServerFile(NTKO_AttachInfo[i][0],NTKO_AttachInfo[i][1],NTKO_AttachInfo[i][2]);
		af.SetCustomData(0, NTKO_AttachInfo[i][3]);
	}
	LoadAttachInfoToTable();
}

//给自定义附件TABLE加载文件列表
function LoadAttachInfoToTable()
{
	var fc = ATTACH_CONTROL_OBJ.FilesCount;
	var af;
	if (fc == 0)
	{		
		var trIndex = 0;
		$("#tabAttachs tr").each(function () {
			trIndex++;
			if (trIndex > 1)
			{
				$(this).remove();
			}
		}); 		
		$("#tabAttachStatus").hide();
	}
	else
	{
		$("#tabAttachs tr:not(:first)").html("");
		for (var i=0;i<fc;i++)
		{
			af = ATTACH_CONTROL_OBJ.GetFile(i);
			CreateTrInfo(i, af.FileName, af.FileSize, af.GetCustomData(0), !af.IsServerFile, ATTACH_CONTROL_OBJ.IsFileSelected(i));
		}
		SetTableRowColor();
		SetAttachButtonImage("butAttSaveAll","attSaveAll.png","this.src='images/attSaveAll2.png'","this.src='images/attSaveAll.png'","DoAttachCommand(5);");

		$("#tdAttachTotal").html("当前共有" + ATTACH_CONTROL_OBJ.FilesCount + "个附件");
		if (ATTACH_CONTROL_OBJ.LocalFilesCount > 0)
		{
			$("#tdLocalAttachTotal").html("<a>" + ATTACH_CONTROL_OBJ.LocalFilesCount + "</a>个附件等待上传");		
		}
	}
}

//根据标签输入框内容长度判断是否显示添加按钮
function ShowAddTagButton(iTag)
{
	if ($.trim(iTag).length > 0)
	{
		$("#divAddTag").show();
	}
	else
	{
		$("#divAddTag").hide();
	}
}

//添加标签
function AddAttTag()
{
	
	var tiText = $.trim($("#txtTag").val());
	if (tiText != "")
	{		
		var reg = new RegExp(",","g");//g,表示全部替换。
		tiText = tiText.replace(reg,"");		
		var divHtml = "<div class=\"TagItem\"><div class=\"TagItemText\">" + tiText + "</div>";
		divHtml += "<div class=\"TagItemRemove\" id=\"2\"><img src=\"images/removeTag.png\" title=\"删除本标签\" onclick=\"RemoveAttTag($(this).parent().parent())\" /></div></div>";
		$("#Tags").append(divHtml);
		$("#txtTag").val("");
		if ($(".TagItem").length == 10)
		{
			$("#divTagText").hide();
		}
		$("#divAddTag").hide();
	}
	else
	{
		alert("添加失败！标签内容为空。");
	}
	
}

//移除标签
function RemoveAttTag(obj)
{
	$(obj).remove();
	$("#divTagText").show();
}

//选择密级
function SelectSecretLevel(obj,id)
{
	$(".AttachFileSecretLevelOn").attr("class","AttachFileSecretLevel");
	$(obj).attr("class","AttachFileSecretLevelOn");
	SECRETLEVEL = id;
}

//选择保管期限
function SelectRetentionPeriod(obj,id)
{
	$(".AttachFileRetentionPeriodOn").attr("class","AttachFileRetentionPeriod");
	$(obj).attr("class","AttachFileRetentionPeriodOn");
	RETENTIONPERIOD = id;
}

//切换控件显示风格
function ChangeAttachStyle(obj,vType)
{	
	$(".AttachStyleButtonOn").attr("class","AttachStyleButton");
	$(obj).attr("class","AttachStyleButtonOn");
	if (vType == 0)
	{
		$("#divAttachCustomTools").hide();
		hideAttachViewbar();
		ATTACH_CONTROL_OBJ.Toolbar = true;
		$("#NTKOATTACH_OCX").width('100%');
		$("#NTKOATTACH_OCX").height('300');	
		$("#tabAttachs").hide();
		$("#tabAttachStatus").hide();
		ATTACH_CONTROL_OBJ.IsConfirmDelFiles = true;
	}
	else if (vType == 1)
	{
		$("#divAttachCustomTools").show();
		$("#divAttachView").show();
		ATTACH_CONTROL_OBJ.Toolbar = false;
		$("#NTKOATTACH_OCX").width('100%');
		$("#NTKOATTACH_OCX").height('300');	
		$("#tabAttachs").hide();	
		$("#tabAttachStatus").hide();
		ATTACH_CONTROL_OBJ.IsConfirmDelFiles = true;
	}
	else
	{
		hideAttachViewbar();
		$("#divAttachCustomTools").show();
		$("#NTKOATTACH_OCX").width(1);
		$("#NTKOATTACH_OCX").height(1);
		$("#tabAttachs").show();
		$("#tabAttachStatus").show();
		if (ATTACH_CONTROL_OBJ.FilesCount > 0)
		{
			$("#tabAttachStatus").show();
		}		
		ATTACH_CONTROL_OBJ.IsConfirmDelFiles = false;
	}		
}

//用于自定义按钮执行附件管理控件的相关操作命令
function DoAttachCommand(cmd)
{
	if (cmd == 7)
	{
		ATTACH_CONTROL_OBJ.AddLocalFile();
	}
	else if (cmd == 8)
	{
		ATTACH_CONTROL_OBJ.AddFromScanner();
	}
	else if (cmd == 3)
	{
		ATTACH_CONTROL_OBJ.DoCommand(3);
	}
	else
	{
		ATTACH_CONTROL_OBJ.DoCommand(cmd);
	}	
}

//控制自定义按钮是否启用
function EnabledAttachButton(vbool)
{
	if (vbool)
	{
		SetAttachButtonImage("butAttDel","attDel.png","this.src='images/attDel2.png'","this.src='images/attDel.png'","DoAttachCommand(3);");
		SetAttachButtonImage("butAttSave","attSave.png","this.src='images/attSave2.png'","this.src='images/attSave.png'","DoAttachCommand(4);");
		SetAttachButtonImage("butAttEdit","attEdit.png","this.src='images/attEdit2.png'","this.src='images/attEdit.png'","DoAttachCommand(0);");
		SetAttachButtonImage("butAttPrint","attPrint.png","this.src='images/attPrint2.png'","this.src='images/attPrint.png'","DoAttachCommand(2);");
	}
	else
	{
		SetAttachButtonImage("butAttDel","attDel0.png","","","");
		SetAttachButtonImage("butAttSave","attSave0.png","","","");
		SetAttachButtonImage("butAttEdit","attEdit0.png","","","");
		SetAttachButtonImage("butAttPrint","attPrint0.png","","","");
	}
	var fc = ATTACH_CONTROL_OBJ.FilesCount;
	for(var i=0; i<fc; i++)
	{
		if(ATTACH_CONTROL_OBJ.IsFileSelected(i))
		{
			$("input[id='ckb" + (i + 1) + "']").prop("checked",true);
		}
		else
		{
			$("input[id='ckb" + (i + 1) + "']").prop("checked",false);
		}
	}
}

//设置自定义按钮相关属性
function SetAttachButtonImage(id,s,v,u,c)
{
	$("#" + id).attr("src","images/" + s);
	$("#" + id).attr("onmouseover",v);
	$("#" + id).attr("onmouseout",u);	
	$("#" + id).attr("onclick",c);	
}

//根据附件管理控件的视图模式设置自定义视图按钮的样式
function SetViewType(iType)
{
	ATTACH_CONTROL_OBJ.ViewType = iType;
	$(".divAttachViewBar").find("a").css("color","#299ceb"); 
	$("#aView"+iType).css("color","#c60000"); 
}

//收展自定义视图按钮
function ExpandCollpaseView(obj)
{
	$(".divAttachViewBar").find("a").css("color","#299ceb"); 
	$("#aView" + ATTACH_CONTROL_OBJ.ViewType).css("color","#c60000"); 
	if(obj.innerHTML == "&gt;")
	{
		$(".divAttachViewBar").stop().animate({
			width: "165px"
        });	
		$(".divAttachViewBar").show("slow");		
		obj.innerHTML = "&lt;";
	}
	else
	{
		$(".divAttachViewBar").stop().animate({
			width: "0px"
        });
		$(".divAttachViewBar").hide("slow");
		obj.innerHTML = "&gt;";
	}
}

//隐藏自定义视图按钮
function hideAttachViewbar()
{
	$("#aViewbut").html("&gt;");
	$(".divAttachViewBar").hide();
	$("#divAttachView").hide();
}

//格式化附件字节数
function FileSizeFormat(filesize)
{
	var unitList = ["B","KB","MB","GB","TB"];
	var thisUnit = 0;
	while(filesize >= 1024)
	{
		filesize = filesize / 1024;
		thisUnit = thisUnit + 1;
	}
	return filesize.toFixed(1) + unitList[thisUnit];
}

//创建自定义附件列表中的附件信息行
function CreateTrInfo(row, fn, size, uploadtime, isNeedUpload, isSelected){
	var trHtml = "<tr align='center'>";
	if (isSelected)
	{
		trHtml += "<td width='6%'><input type='checkbox' name='ckb' checked='true' id='ckb" + (row + 1) + "'/></td>";	
	}
	else
	{
		trHtml += "<td width='6%'><input type='checkbox' name='ckb' id='ckb" + (row + 1) + "'/></td>";	
	}	
	trHtml += "<td width='50%' align='left' style='word-break:break-all'>" + fn + "</td>";	
		
	
	if (isNeedUpload)
	{
		trHtml += "<td width='10%' align='center' style='word-break:break-all'><span class=\"tabLocalFile\">本&nbsp;&nbsp;&nbsp;地</span></td>";
	}
	else
	{
		trHtml += "<td width='10%' align='center' style='word-break:break-all'><span class=\"tabServerFile\">服务器</span></td>";
	}		
	trHtml += "<td width='12%'>" + FileSizeFormat(size) + "</td>";
	if (isNeedUpload)
	{
		trHtml += "<td width='22%' style='color:red'>" + uploadtime + "</td>";	
	}
	else
	{
		trHtml += "<td width='22%'>" + uploadtime + "</td>";
	}		
	trHtml += "</tr>";
	AddTrToTable(row, trHtml);
}

//把附件信息行插入到自定义附件列表
function AddTrToTable(row, trHtml){
	//获取table最后一行 $("#tab tr:last")
	//获取table第一行 $("#tab tr").eq(0)
	//获取table倒数第二行 $("#tab tr").eq(-2)
	var $tr=$("#tabAttachs tr").eq(row);
	if($tr.size()==0){
	alert("指定的table id或行数不存在！");
	return;
	}
	$tr.after(trHtml);
}

//设置自定义附件列表的样式
function SetTableRowColor()  
{   
	//首行及奇偶行颜色
    $("#tabAttachs tr:odd").css("background-color", "#FFFFFF");  
    $("#tabAttachs tr:even").css("background-color", "#F7F7F7");  
	$("#tabAttachs tr:nth-child(1)").css("background-color","#ebebeb");	

	//选中行
	$("#tabAttachs td").click(function(){
		curRow = $(this).parent().parent().find("tr").index($(this).parent()[0]); 
		 if($("#ckb" + curRow).prop("checked") != true)
		 {
			$("input[id='ckb" + curRow + "']").prop("checked",true); 
			SelectAttachFile(curRow - 1, true);
		 }
		 else
		 {
			 $("input[id='ckb" + curRow + "']").prop("checked", false); 
			 SelectAttachFile(curRow - 1, false);
		 }
	});		
	
	$("#tabAttachs td").mouseover(function(){  
		curRow = $(this).parent().parent().find("tr").index($(this).parent()[0]);  
	});  

	//鼠标移到的颜色 
	$("#tabAttachs tr").mouseover(function(){ 
		if (curRow>0)
		{
			$(this).find("td").addClass("mouse_color"); 
		}
	}); 

	//鼠标移出的颜色  
	$("#tabAttachs tr").mouseout(function(){ 
		$(this).find("td").removeClass("mouse_color"); 
	}); 	
} 

//选中指定附件
function SelectAttachFile(index, vbool)
{
	ATTACH_CONTROL_OBJ.SelectFile(index, vbool);
}

//初始化附件列表右键菜单
function InitRightMenu()
{
	if (SELFILECOUNT > 0)
	{
		$('#divRightMenu').menu('enableItem',$("#rmEdit"));
		$('#divRightMenu').menu('enableItem',$("#rmOpen"));
		$('#divRightMenu').menu('enableItem',$("#rmPrint"));
		$('#divRightMenu').menu('enableItem',$("#rmSave"));
		$('#divRightMenu').menu('enableItem',$("#rmSaveAll"));
		$('#divRightMenu').menu('enableItem',$("#rmDelete"));
	}
	else
	{
		$('#divRightMenu').menu('disableItem',$("#rmEdit"));
		$('#divRightMenu').menu('disableItem',$("#rmOpen"));
		$('#divRightMenu').menu('disableItem',$("#rmPrint"));
		$('#divRightMenu').menu('disableItem',$("#rmSave"));
		$('#divRightMenu').menu('disableItem',$("#rmDelete"));
	}
}

//设置右键菜单项是否可用
function IsItemDisabled(item)
{
	if($('#divRightMenu').menu("getItem", $('#'+item)).disabled)
	{return false;}
	else
	{return true;}
}

//附件列表右键菜单
$(function(){
	$("#tabAttachs").mouseover(function(){  
		$(document).bind('contextmenu',function(e){
			return false;
		});		
	}); 
	
	$("#divRightMenu").mouseover(function(){  
		$(document).bind('contextmenu',function(e){
			return false;
		});		
	}); 	
	
	$("#tabAttachs").mouseout(function(){  
		$(document).unbind("contextmenu","");	
	}); 

	$("#tabAttachs").mousedown(function(e){
		if ((e.which == 3) && (curRow != -1))
		{
			$('#divRightMenu').menu('show', {
				left: e.pageX,
				top: e.pageY
			});		
			InitRightMenu();
			return false;
		}
	});	
});

//提交保存
function SaveAttach()
{
	if ($.trim($("#txtTitile").val())=="")
	{
		alert("主题内容不能为空！");
		return;
	}	
	if (RETENTIONPERIOD == -1)
	{
		alert("请选择附件保管期限！");
		return;
	}
	if (SECRETLEVEL == -1)
	{
		alert("请选择附件密级！");
		return;
	}
	var tagStr = "";
	$(".TagItemText").each(function () {
		tagStr +=  $(this).html() + ",";
		return tagStr;
	}); 
	if (tagStr.length > 0) {
		tagStr = tagStr.substr(0,tagStr.length - 1);
	}
	$("#hidTags").val(tagStr);

	var totalSize = 0;
	var af;
	for (var i=0; i<ATTACH_CONTROL_OBJ.LocalFilesCount;i++)
	{
		af = ATTACH_CONTROL_OBJ.GetFile(i);
		totalSize +=  af.filesize;
	}
	if (totalSize > 10485760)
	{
		alert("本演示示例仅允许上传总共不超过10M的文件数据。\r\n当前待上传数据总共" + FileSizeFormat(totalSize) + "。\r\n请删减部分文件后再次提交。");
		return;
	}
		
    ATTACH_CONTROL_OBJ.BeginSaveToURL(
			document.forms[0].action,  //此处为upload.aspx
			"EDITFILE", //文件输入域名称,可任选,不与其他<input type=file name=..>的name部分重复即可
			"secretlevel=" + SECRETLEVEL + "&retentionperiod=" + RETENTIONPERIOD + "&cou=" + ATTACH_CONTROL_OBJ.FilesCount, //可选的其他自定义数据－值对，以&分隔。如：myname=tanger&hisname=tom,一般为空
			"form1" //控件的智能提交功能可以允许同时提交选定的表单的所有数据.此处可使用id或者序号
		);
}

//关闭页面
function CloseAttach()
{
	window.opener.location.reload();
	window.close();
}

//删除附件集
function DeleteAttach(fid)
{
	var msg = "您真的确定要删除整个附件集吗？\r\n请确认！"; 
	if (confirm(msg)==true){ 
		$.ajax({
			type:"POST",
			url:"deleteAttach.jsp",
			data:{id:fid},
			datatype: "html",
			success:function(data){ 
				alert($.trim(data));
				CloseAttach();
			},
			complete: function(XMLHttpRequest, textStatus){
			},
			error: function(e){
			}         
		});
	}
}