﻿<%@ page contentType="text/html;charset=utf-8" %>
<%@ page language="java" import="java.io.*,java.sql.*" %>
<%@ include file="connectionInfo.jsp"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>NTKO附件管理控件演示示例</title>
    <link href="ntkoStyle.css" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="UI/jquery.min.js"></script>
	<script language="javascript" type="text/javascript">	
		$(document).ready(function(){
		  $(".divAttachFormsInfoRight").hover(function(){
			$(this).children().attr("src","images/enteron.png");
			},function(){
			$(this).children().attr("src","images/enter.png");
		  });
		});
		
	</script>
</head>
<body>
	<div class="divTop">
		<div class="divTopInner">
			<div class="divTopInnerCaption">重庆软航科技有限公司</div>
			<div class="divTopInnerNtko"><a href="http://www.ntko.com" title="点击访问NTKO官网">官网</a></div>
		</div>
	</div>
	<div class="divTitle">
		<div class="divTitle_body">
			<div class="divTitle_caption">附件管理控件演示示例</div>
		</div>
	</div>
	
	<div class="divButton">
		<div class="divCreateNewButton" onclick="window.open('edit.jsp')" title="新建附件集"><span style="font-size:18px">+</span>&nbsp;新&nbsp;建</div>
	</div>
	
    <div class="divFloor">
        <div class="divFloorTitle">附件集列表</div>
        <div class="divFloorLine"></div>
    </div>
    <div class="divBody">
		<!--文件列表数据-->
		<%
			Connection conn = null;
			Statement stmt = null;
			ResultSet rs = null;
			try
			{Class.forName(DBDriver);}
			catch(java.lang.ClassNotFoundException e)
			{out.println("Error:" + e.getMessage()); return;}
			try
			{
				conn = DriverManager.getConnection(ConnStr);
				stmt = conn.createStatement(ResultSet.TYPE_SCROLL_SENSITIVE,ResultSet.CONCUR_UPDATABLE);
			}
			catch(SQLException e)
			{out.println("错误:数据库连接可能发生错误,请检查connectionInfo.jsp的数据库连接属性。<br>" + e.getMessage()); return;}		 		
			rs = stmt.executeQuery("select * from " + ntkoAttachFormsInfo + " Order by attachid"); 
			int secretlevel = 0;
			int i = 0;
			int retentionperiod = 0;
			String attachtag = "";
			
			while(rs.next())
			{
				i++;
			%>
			<div class="divAttachFormsInfo">
				<div class="divAttachFormsInfoLeft">
					<div class="divAttachItemID"><%=i %></div>
				</div>
				<div class="divAttachFormsInfoMiddle">
					<div class="divAttachTitle"><%=rs.getString("attachtitle")%></div>
					<div class="divAttachTags">
			<%
				attachtag = rs.getString("attachtag");
				if (attachtag.length() != 0)
				{
					String[] tempArryStr = attachtag.split(",");
					for(int j=0;j<tempArryStr.length;j++)//从下标1循环，获得所有标签；
					{
            %>
						<div class="divAttachTagItem"><%=tempArryStr[j]%></div>
			<%
					}
				}
			%>
					</div>
					<div class="divAttachOtherInfo">
						<div class="divAttachOtherInfoItem">
			<%
				secretlevel = rs.getInt("secretlevel");
				if (secretlevel == 0)
				{
			%>					
							<div class="divAttachOtherInfoItemText">公开</div>
			<%
					}else if (secretlevel == 1)
				{
			%>
							<div class="divAttachOtherInfoItemText">秘密</div>
			<%			
				}else if (secretlevel == 2)
				{
			%>
							<div class="divAttachOtherInfoItemText">机密</div>
			<%
				}else
				{
			%>
							<div class="divAttachOtherInfoItemText">绝密</div>
			<%
				}
			%>				<div class="divAttachOtherInfoItemCaption">密级</div>
						</div>
						<div class="divAttachOtherInfoItem">
			<%
						retentionperiod = rs.getInt("retentionperiod");
						if (retentionperiod == 0)
						{
			%>
							<div class="divAttachOtherInfoItemText">短期</div>
			<%
							}else if (retentionperiod == 1)
						{
			%>
					
							<div class="divAttachOtherInfoItemText">长期</div>
			<%
						}else
							{
			%>
							<div class="divAttachOtherInfoItemText">永久</div>
			<%
							}
			%>
							<div class="divAttachOtherInfoItemCaption">保管期限</div>
						</div>
						<div class="divAttachOtherInfoItem">
							<div class="divAttachOtherInfoItemText"><%=rs.getString("attachfilescount")%></div>
							<div class="divAttachOtherInfoItemCaption">附件数量</div>
						</div>
					</div>
					<div class="divAttachTime">
						创建日期：<%=rs.getString("createtime")%>
						&nbsp;&nbsp;|&nbsp;&nbsp;
						修改日期：<%=rs.getString("updatetime")%>
					</div>
				</div>
				<div class="divAttachFormsInfoSplit"></div>
				<div class="divAttachFormsInfoRight" onclick="window.open('edit.jsp?id=<%=rs.getString("attachid")%>')" title="点击进入查看">
					<img src="images/enter.png"/>
				</div>
			</div>
			<%
			}				
			if(!rs.first())
			{										
			%>
			<div class="divNoFile">暂无文件记录</div>
			<%
			}									
			if(rs != null)rs.close();
			%>
    </div>
    <div class="divFooter">
        <div class="divFooterLink"></div>
        重庆软航科技有限公司&nbsp;&nbsp;版权所有
    </div>
</body>
</html>
