﻿<%@ page contentType="text/html;charset=utf-8" pageEncoding="UTF-8"%>
<%@ page language="java" import="java.io.*,java.sql.*,java.util.*,java.text.*" %>
<%@ page language="java" import="org.apache.commons.fileupload.*,org.apache.commons.fileupload.disk.*,org.apache.commons.fileupload.servlet.*"%>
<%@ include file="connectionInfo.jsp"%>
<%@ include file="FilePathInfo.jsp"%>
<%!
public Connection conn = null;
public PreparedStatement pstmt = null;
public ResultSet rs = null;
public Object[] itemsArray = null;
public int attachid = 0;
public String attachtitle = "";
public int attachsecretlevel = 0;
public int attachretentionperiod = 0;
public String attachcreatetime = "";
public String attachtag = "";
public int attachfilescount = 0;
public boolean isNewCode = false;

public String getFileItemString(String KeyString) throws Exception
{
	String keyValue = "-1";
	FileItem item ;
	for(int i=0;i<itemsArray.length;i++)
	{
		item = (FileItem)itemsArray[i];
		if(item.isFormField() && item.getFieldName().equalsIgnoreCase(KeyString))
		{
			keyValue = item.getString("utf-8");
			break;
		}
	}
	return keyValue;
}

/******************************************************************************************
* Name:          getArrayOfKeyWord
* PURPOSE:       获取上传表单文件域或文本域的域名为指定关键字的所有值,返回一个对象数组
* PARAMETERS:    key(String) 关键字,表示要获取的域的域名,isFormField(true或false)指定key所表示的域是否为文本域
* Description: 
* Modification: 
* Notices:Copyright (c) 2009 By ntko
******************************************************************************************/

public Object[] getArrayOfKeyWord(String Key,boolean isFormField) throws Exception
{
	Object[] result = null;
	java.util.ArrayList<Object> tempList = new java.util.ArrayList<Object>();
	FileItem item;
	for(int i=0;i!=itemsArray.length;i++)
	{
		item = (FileItem)itemsArray[i];
		if((item.isFormField()?isFormField:!isFormField) && item.getFieldName().equalsIgnoreCase(Key))
		{
			tempList.add(item);
		}
	}
	tempList.trimToSize();
	if(tempList.size()!=0)
	{
		result = tempList.toArray();
	}
	return result;
} 

%>
<%
/*********************************************************************************************
本页面的处理逻辑描述如下;
数据库关系说明:
ntkoAttachFormsInfo表中的每一个记录代表了一个附件文档,每一个附件文档中可能有多个附件文件,主键为attachid
ntkoattachfilesinfo表中的每一个记录代表了一个附件文件,其attachid字段描述了该附件属于哪一个附件文档

首先获取附件文档的id号,如果id号为-1,表示为新建的附件文档提交保存,此时isNewCode=true;否则为已有的附件文档提交修改,此时isNewCode=false.

如果为新建附件文档:
首先将附件的描述信息插入到ntkoAttachFormsInfo表格中,此表格中的每一个记录代表了一个附件文档,每一个附件文档中可能有多个附件,然后插入属于该附件文档的所有附件文件到ntkoattachfilesinfo表中.
如果为已有的附件文档:
首先在ntkoAttachFormsInfo中更新附件的信息,然后删除 修改过或者要删除的附件文件,最后把新添加的附件文件和修改的附加文件重新插入到ntkoattachfilesinfo表中.
*********************************************************************************************/
	FileItem item = null;
	List fileItemsList = null;
	FileItem secSignFileItem = null;
	Object[] deleteFileName = null;
	Object[] insertFileName = null;
	java.util.Calendar cal = java.util.Calendar.getInstance();
	DiskFileItemFactory factory = new DiskFileItemFactory();
	// 设置最多只允许在内存中存储的数据,单位:字节
	factory.setSizeThreshold(4096);
	// 设置一旦文件大小超过setSizeThreshold()的值时数据存放在硬盘的目录
	factory.setRepository(new File(tempFileDir));
	ServletFileUpload upload = new ServletFileUpload(factory);
	//设置允许用户上传文件大小,单位:字节
	upload.setSizeMax(1024*1024*10);
	upload.setHeaderEncoding("utf8");
	
	fileItemsList = upload.parseRequest(request);
	itemsArray=fileItemsList.toArray();
	
	//获取附件集id,标题,附件类型,附件等级,附件数量.对应edit页面中的<input type=hiden name="aid",<input type=hiden name=atiitle,<select name=atype,<select name=agrade等
	//*
	attachid = Integer.parseInt(getFileItemString("hidAttachId"));  
	attachfilescount = Integer.parseInt(getFileItemString("cou")); 
	attachtitle = getFileItemString("txtTitile");
	attachtag = getFileItemString("hidTags");
	attachsecretlevel = Integer.parseInt(getFileItemString("secretlevel"));
	attachretentionperiod = Integer.parseInt(getFileItemString("retentionperiod"));
	SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.CHINA);  
    attachcreatetime = format.format(cal.getTime()); 
	//是否为新建的附件集
	isNewCode = attachid==0?true:false;
	try
	{
		Class.forName(DBDriver);
	}
	catch(ClassNotFoundException e)
	{
		out.println("error"+e.getMessage());
		return;
	}
	if(!isNewCode)//提交的数据不是新建的附件文档
	{
		deleteFileName = getArrayOfKeyWord("DELATTNAME",true);
		insertFileName = getArrayOfKeyWord("EDITFILE",false);
		
		conn = DriverManager.getConnection(ConnStr,userName,userPasswd); 
		conn.setAutoCommit(false);//设置控制程序提交事务,而不自动提交
		
		//更新附件文档信息
		pstmt = conn.prepareStatement("update "+ ntkoAttachFormsInfo +" set attachtitle=?,attachtag=?,retentionperiod=?,secretlevel=?,updatetime=?,attachfilescount=? where attachid=" + attachid);
		pstmt.setString(1,attachtitle);
		pstmt.setString(2,attachtag);
		pstmt.setInt(3,attachretentionperiod);
		pstmt.setInt(4,attachsecretlevel);
		pstmt.setString(5,attachcreatetime);
		pstmt.setInt(6,attachfilescount);
		pstmt.executeUpdate();
		
		//删除修改或删除了的附件
		pstmt = conn.prepareStatement("delete from "+ ntkoAttachFilesInfo + " where filename=? and attachid=" + attachid );
		if(deleteFileName!=null)
		{
			for(int i=0; i!=deleteFileName.length; i++)
			{
				item = (FileItem)deleteFileName[i];
				pstmt.setString(1,item.getString("utf-8"));
				pstmt.addBatch(); 
			}
			pstmt.executeBatch();  
		}
		
		//从新插入文件到ntkoattachfilesinfo表格
		if(insertFileName!=null)
		{
			pstmt = conn.prepareStatement("insert into "+ ntkoAttachFilesInfo+" (attachid,filename,fileData,filesize,createTime) values(?,?,?,?,?)");
			for(int i=0;i!=insertFileName.length;i++)
			{
				item = (FileItem)insertFileName[i];
				pstmt.setInt(1,attachid);
				pstmt.setString(2,item.getName());
				pstmt.setBinaryStream(3,item.getInputStream(),(int)item.getSize());;
				pstmt.setInt(4,(int)item.getSize());
				pstmt.setString(5,attachcreatetime);
				pstmt.addBatch(); 
				System.out.println(item.getName());
			}
			pstmt.executeBatch();   
		}
		conn.commit() ;//提交所有操作
		pstmt.close();
		conn.close();
	}
	else
	{
		insertFileName = getArrayOfKeyWord("EDITFILE",false);

		//执行数据库的删除,插入操作
		try
		{
			conn = DriverManager.getConnection(ConnStr,userName,userPasswd); 
			conn.setAutoCommit(false);
			
			//插入到ntkoAttachFormsInfo表格
			pstmt = conn.prepareStatement("insert into "+ ntkoAttachFormsInfo+" (attachtitle,attachtag,retentionperiod,secretlevel,attachfilescount,createtime,updatetime) values(?,?,?,?,?,?,?)");
			pstmt.setString(1,attachtitle);
			pstmt.setString(2,attachtag);
			pstmt.setInt(3,attachretentionperiod);
			pstmt.setInt(4,attachsecretlevel);
			pstmt.setInt(5,attachfilescount);
			pstmt.setString(6,attachcreatetime);
			pstmt.setString(7,attachcreatetime);
			pstmt.executeUpdate();

			//获取最后插入的attachid值
			rs = pstmt.getGeneratedKeys() ;
			rs.next();
			attachid = rs.getInt(1);
			rs.close();
			
			//插入文件到ntkoattachfilesinfo表格
			if(insertFileName!=null)
			{
				pstmt = conn.prepareStatement("insert into "+ ntkoAttachFilesInfo+" (attachid,filename,fileData,filesize,createTime) values(?,?,?,?,?)");
				for(int i=0;i!=insertFileName.length;i++)
				{
					item = (FileItem)insertFileName[i];
					pstmt.setInt(1,attachid);
					pstmt.setString(2,item.getName());
					pstmt.setBinaryStream(3,item.getInputStream(),(int)item.getSize());;
					pstmt.setInt(4,(int)item.getSize());
					pstmt.setString(5,attachcreatetime);
					pstmt.addBatch(); 
					System.out.println(item.getName());
				}
				pstmt.executeBatch();   
			}
			conn.commit() ;
			pstmt.close();
			conn.close();
			out.println("保存成功");
		}
		catch(SQLException e)
		{
			out.println("error:"+e.getMessage());return;
		}
	}
	//*/
	/*
	for(int i=0;i<itemsArray.length;i++)
	{
		item = (FileItem)itemsArray[i];
		if(item.isFormField())
		{
			out.println(item.getFieldName()+"="+item.getString("utf8"));
		}
		else
		{
			out.println(item.getFieldName() + "=" + item.getName());
		}
	}
	//*/
	
%>